QGIS Application - Bug report #17384
Authentication API broken missing documentation
2017-11-02 02:34 PM - Bernhard Strobl

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Authentication system

Affected QGIS version:master Regression?: Yes

Operating System: Ubuntu 16.04 (64 bit) Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25281
Description

| cannot convince freshly compiled current master commit:1ffc3fd to save an authentication database.
Furthermore the Python access to QgsAuthManager via QgsAuthManager.instance() seems broken, too:
error is: type object 'QgsAuthManager' has no attribute 'instance'

History

#1 - 2017-11-02 02:37 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-11-02 02:39 PM - Alessandro Pasotti

Nothing is broken: the API has changed, I'll complete the docs but for now: just do ‘QgsApplication.authManager()"

#3 - 2017-11-02 02:40 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2017-11-02 02:46 PM - Bernhard Strobl

- Priority changed from High to Normal

Allesandro, is QgsApplication.authManager() the recommended method for QGIS3?

But the Python problem is minor, the main problem is, that no auth-db is saved.

#5 - 2017-11-02 02:47 PM - Bernhard Strobl
- Priority changed from Normal to High
#6 - 2017-11-02 02:52 PM - Alessandro Pasotti

It's the only method: QgsAccessManager cannot be accesed directly anymore.

Can you please open a separate issue for the DB not saved and describe step-by-step how to reproduce it?

#7 - 2017-11-02 03:16 PM - Bernhard Strobl

seperate issue opened, see #17385
#8 - 2017-11-02 03:18 PM - Giovanni Manghi

Can we close this?

#9 - 2017-11-02 03:20 PM - Bernhard Strébl

on my behalf we can but should keep in mind to add the info on the site listing api breaks (or do we need a new ticket for that?)

#10 - 2017-11-02 03:23 PM - Alessandro Pasotti

please leave this open until | fix the documentation, I'll do it quickly, | promise :)

#11 - 2017-11-02 03:24 PM - Alessandro Pasotti

- Subject changed from Authentication broken to Authentication API broken missing documentation

Add information about QgsApplication.authManager() and that the instance has been removed

#12 - 2017-11-02 04:04 PM - Giovanni Manghi

- Status changed from Feedback to Open

#13 - 2017-11-03 11:27 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

fixed in commit:da8a5f4532f75cd12cd3d9490f23dfc9a6f9c9f0

#14 - 2017-11-06 09:43 AM - Alessandro Pasotti

- Status changed from Open to Closed

#15 - 2018-03-12 08:52 PM - Jiirgen Fischer
- Description updated
